# Uses of Interface
org.eclipse.jdt.core.util.IAnnotationComponentValue

Packages that use IAnnotationComponentValue
Package
Description
org.eclipse.jdt.core.util
Provides a set of tools and utilities for manipulating .class files and Java model elements.

## Uses of IAnnotationComponentValue in org.eclipse.jdt.core.util

Methods in org.eclipse.jdt.core.util that return IAnnotationComponentValue
Modifier and Type
Method
Description
`IAnnotationComponentValue[]`
IAnnotationComponentValue.`getAnnotationComponentValues()`
Returns the annotation component values as described in the JVM specifications if the tag item is '['.
`IAnnotationComponentValue`
IAnnotationComponent.`getComponentValue()`
Answer back the component value as described in the JVM specifications.
`IAnnotationComponentValue`
IAnnotationDefaultAttribute.`getMemberValue()`
Answer back the member value as described in the JVM specifications.